## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

%global _description %{expand:
sklearn-genetic is a genetic feature selection module for scikit-learn.
Genetic algorithms mimic the process of natural selection to search
for optimal values of a function.}

Name:           python-sklearn-genetic
Version:        0.6.0
Release:        %autorelease
Summary:        A genetic feature selection module for scikit-learn

License:        LGPL-3.0-only
URL:            https://github.com/manuel-calzolari/sklearn-genetic
Source:         %{url}/archive/%{version}/sklearn-genetic-%{version}.tar.gz

# Adapt for fit_params renaming in scikit-learn 1.6
# https://github.com/manuel-calzolari/sklearn-genetic/pull/49
Patch:          %{url}/pull/49.patch

BuildArch:      noarch

%description %_description

%package -n python3-sklearn-genetic
Summary:        %{summary}

# Remove after Fedora 44 reaches end-of-life
Obsoletes:      python-sklearn-genetic-doc < 0.6.0-5

BuildRequires:  make
BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description -n python3-sklearn-genetic %_description

%prep
%autosetup -n sklearn-genetic-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l genetic_selection

%check
%if %{with tests}
%pytest
%endif

%files -n python3-sklearn-genetic -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Fri Jan 24 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-6
- Adapt for fit_params renaming in scikit-learn 1.6 (fix RHBZ#2341213)
- Since this patch is specific to Fedora 42 and later, remove conditionals
  pertaining to older releases.

* Fri Jan 24 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-5
- Drop the -doc package beginning with Fedora 42

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-1
- Update to 0.6.0 (close RHBZ#2259332)

* Wed Aug 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.1^20230819git12ee9b2-1
- Fix compatibility with numpy 1.20 and later and with modern scikit-learn
- Convert License to SPDX

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 16 2023 Python Maint <python-maint@redhat.com> - 0.5.1-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 05 2022 Python Maint <python-maint@redhat.com> - 0.5.1-2
- Rebuilt for Python 3.11

* Sun Apr 10 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.5.1-1
- Initial package

## END: Generated by rpmautospec
